package com.yonge.cooleshow.common.service;

public interface IdGeneratorService {

	/**
	 * 根据业务名称生产id
	 * @param biz
	 * @return
	 */
	long generatorId(String biz);

	/**
	 * 自动生成id
	 * @return
	 */
	long generatorId();

	/**
	 * 校验验证码
	 * @param mobile
	 * @param authCode
	 * @return
	 */
	boolean verifyValidCode(String mobile, String authCode,String keyEnum);

	/**
	 * 保存验证码
	 * @param mobile 手机号
	 * @param authCode 验证码
	 * @param keyEnum 验证码类型
	 */
	void saveVerifyValidCode(String mobile, String authCode,String keyEnum);
}
